POST api/contractItemapi/add?siteId={siteId}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| siteId | globally unique identifier |
None. |
Body Parameters
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Request Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "c9807032-8d23-4350-a05f-43336c056d31",
"selected_nameplate_id": "6d6fb9fa-f7a1-4d57-a789-3f7e7c51b6a0",
"active": true,
"contract_id": "5c3bd193-d7b8-4d91-ba4d-e5685a78b3c9",
"id": "785df9be-aa99-4ba4-9f27-fcd734326a35",
"physical_item_id": "b3d734e1-5728-4bc8-9d9a-4cb3b4b9e9e1",
"service_item_id": "137ff69f-a97b-4ebf-8108-d4d5ee9686b6",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>5c3bd193-d7b8-4d91-ba4d-e5685a78b3c9</contract_id>
<id>785df9be-aa99-4ba4-9f27-fcd734326a35</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>b3d734e1-5728-4bc8-9d9a-4cb3b4b9e9e1</physical_item_id>
<quantity>1</quantity>
<service_item_id>137ff69f-a97b-4ebf-8108-d4d5ee9686b6</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>6d6fb9fa-f7a1-4d57-a789-3f7e7c51b6a0</selected_nameplate_id>
<selected_sticker_id>c9807032-8d23-4350-a05f-43336c056d31</selected_sticker_id>
</contract_item>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
globally unique identifierResponse Formats
application/json, text/json
Sample:
"38f14a98-3037-47ff-b895-873f57252e17"
application/xml, text/xml
Sample:
<guid xmlns="http://schemas.microsoft.com/2003/10/Serialization/">38f14a98-3037-47ff-b895-873f57252e17</guid>